epp_ContactInfoRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.contact.epp_ContactInfoRsp class

### org.openrtk.idl.epp02.contact

# Class epp_ContactInfoRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp02.contact.epp_ContactInfoRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactInfoRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/contact/epp_ContactInfoRsp.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_contact.idl Thursday, July 26, 2001 6:26:12 PM EDT

  ## Field Summary
  `epp_ContactNameAddress` | `m_ascii_address`
  `epp_AuthInfo` | `m_auth_info`
  `String` | `m_client_id`
  `String` | `m_created_by`
  `String` | `m_created_date`
  `String` | `m_email`
  `String` | `m_expiration_date`
  `epp_ContactPhone` | `m_fax`
  `epp_ContactNameAddress` | `m_i15d_address`
  `String` | `m_roid`
  `epp_Response` | `m_rsp`
  `epp_ContactStatus[]` | `m_status`
  `String` | `m_transfer_date`
  `String` | `m_updated_by`
  `String` | `m_updated_date`
  `epp_ContactPhone` | `m_voice`

  ## Constructor Summary
  `epp_ContactInfoRsp()`
  `epp_ContactInfoRsp(epp_Response _m_rsp, String _m_roid, epp_ContactNameAddress _m_ascii_address, epp_ContactNameAddress _m_i15d_address, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_ContactStatus[] _m_status, String _m_client_id, String _m_created_by, String _m_created_date, String _m_expiration_date, String _m_updated_by, String _m_updated_date, String _m_transfer_date, epp_AuthInfo _m_auth_info)`

  ## Method Summary
  `epp_ContactNameAddress` | `getAsciiAddress()`
  `epp_AuthInfo` | `getAuthInfo()`
  `String` | `getClientId()`
  `String` | `getCreatedBy()`
  `String` | `getCreatedDate()`
  `String` | `getEmail()`
  `String` | `getExpirationDate()`
  `epp_ContactPhone` | `getFax()`
  `epp_ContactNameAddress` | `getI15dAddress()`
  `String` | `getRoid()`
  `epp_Response` | `getRsp()`
  `epp_ContactStatus[]` | `getStatus()`
  `String` | `getTransferDate()`
  `String` | `getUpdatedBy()`
  `String` | `getUpdatedDate()`
  `epp_ContactPhone` | `getVoice()`
  `void` | `setAsciiAddress(epp_ContactNameAddress value)`
  `void` | `setAuthInfo(epp_AuthInfo value)`
  `void` | `setClientId(String value)`
  `void` | `setCreatedBy(String value)`
  `void` | `setCreatedDate(String value)`
  `void` | `setEmail(String value)`
  `void` | `setExpirationDate(String value)`
  `void` | `setFax(epp_ContactPhone value)`
  `void` | `setI15dAddress(epp_ContactNameAddress value)`
  `void` | `setRoid(String value)`
  `void` | `setRsp(epp_Response value)`
  `void` | `setStatus(epp_ContactStatus[] value)`
  `void` | `setTransferDate(String value)`
  `void` | `setUpdatedBy(String value)`
  `void` | `setUpdatedDate(String value)`
  `void` | `setVoice(epp_ContactPhone value)`
  `String` | `toString()`

## Field Details

### m_ascii_address

    public epp_ContactNameAddress m_ascii_address

### m_auth_info

    public epp_AuthInfo m_auth_info

### m_client_id

    public String m_client_id

### m_created_by

    public String m_created_by

### m_created_date

    public String m_created_date

### m_email

    public String m_email

### m_expiration_date

    public String m_expiration_date

### m_fax

    public epp_ContactPhone m_fax

### m_i15d_address

    public epp_ContactNameAddress m_i15d_address

### m_roid

    public String m_roid

### m_rsp

    public epp_Response m_rsp

### m_status

    public epp_ContactStatus[] m_status

### m_transfer_date

    public String m_transfer_date

### m_updated_by

    public String m_updated_by

### m_updated_date

    public String m_updated_date

### m_voice

    public epp_ContactPhone m_voice

## Constructor Details

### epp_ContactInfoRsp

    public epp_ContactInfoRsp()

### epp_ContactInfoRsp

    public epp_ContactInfoRsp(epp_Response _m_rsp,
                              String _m_roid,
                              epp_ContactNameAddress _m_ascii_address,
                              epp_ContactNameAddress _m_i15d_address,
                              epp_ContactPhone _m_voice,
                              epp_ContactPhone _m_fax,
                              String _m_email,
                              epp_ContactStatus[] _m_status,
                              String _m_client_id,
                              String _m_created_by,
                              String _m_created_date,
                              String _m_expiration_date,
                              String _m_updated_by,
                              String _m_updated_date,
                              String _m_transfer_date,
                              epp_AuthInfo _m_auth_info)

## Method Details

### getAsciiAddress

    public epp_ContactNameAddress getAsciiAddress()

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

### getClientId

    public String getClientId()

### getCreatedBy

    public String getCreatedBy()

### getCreatedDate

    public String getCreatedDate()

### getEmail

    public String getEmail()

### getExpirationDate

    public String getExpirationDate()

### getFax

    public epp_ContactPhone getFax()

### getI15dAddress

    public epp_ContactNameAddress getI15dAddress()

### getRoid

    public String getRoid()

### getRsp

    public epp_Response getRsp()

### getStatus

    public epp_ContactStatus[] getStatus()

### getTransferDate

    public String getTransferDate()

### getUpdatedBy

    public String getUpdatedBy()

### getUpdatedDate

    public String getUpdatedDate()

### getVoice

    public epp_ContactPhone getVoice()

### setAsciiAddress

    public void setAsciiAddress(epp_ContactNameAddress value)

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

### setClientId

    public void setClientId(String value)

### setCreatedBy

    public void setCreatedBy(String value)

### setCreatedDate

    public void setCreatedDate(String value)

### setEmail

    public void setEmail(String value)

### setExpirationDate

    public void setExpirationDate(String value)

### setFax

    public void setFax(epp_ContactPhone value)

### setI15dAddress

    public void setI15dAddress(epp_ContactNameAddress value)

### setRoid

    public void setRoid(String value)

### setRsp

    public void setRsp(epp_Response value)

### setStatus

    public void setStatus(epp_ContactStatus[] value)

### setTransferDate

    public void setTransferDate(String value)

### setUpdatedBy

    public void setUpdatedBy(String value)

### setUpdatedDate

    public void setUpdatedDate(String value)

### setVoice

    public void setVoice(epp_ContactPhone value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS